<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
 <h1>Sumar</h1>
    <form id="calculadora">
        <label for="=num1">Numero 1</label>
        <input type="number" name="num1" id="num1">

        <br><br>
        <label for="=num2">Numero 2</label>
        <input type="number" name="num2" id="num2">
        
        <br><br>

        <button type="submit">Sumar</button>
        <button type="submit" id="restar">Restar</button>
        <button type="submit" id="multiplicar">Multiplicar</button>
        <button type="submit" id="dividir">Dividir</button>
        <button type="submit" id="cuadrado">Suma de cuadrados</button>

    </form>

    <script>
        document.getElementById('calculadora').addEventListener('submit', (e) => {
            e.preventDefault();
            var num1 = parseInt(document.getElementById('num1').value);
            var num2 = parseInt(document.getElementById('num2').value);
            var resultado = num1 + num2;
            console.log(`El resultado de ${num1} + ${num2} es ${resultado}`);
        });
    
        document.getElementById('restar').addEventListener('click', (e) => {
            e.preventDefault();
            var num1 = parseInt(document.getElementById('num1').value);
            var num2 = parseInt(document.getElementById('num2').value);
            var resultado = num1 - num2;
            console.log(`El resultado de ${num1} - ${num2} es ${resultado}`);
        });

        document.getElementById('multiplicar').addEventListener('click', (e) => {
            e.preventDefault();
            var num1 = parseInt(document.getElementById('num1').value);
            var num2 = parseInt(document.getElementById('num2').value);
            var resultado = num1 * num2;
            console.log(`El resultado de ${num1} * ${num2} es ${resultado}`);
        });

        document.getElementById('dividir').addEventListener('click', (e) => {
            e.preventDefault();
            var num1 = parseInt(document.getElementById('num1').value);
            var num2 = parseInt(document.getElementById('num2').value);
            var resultado = num1 / num2;
            console.log(`El resultado de ${num1} / ${num2} es ${resultado}`);
        });

        document.getElementById('cuadrado').addEventListener('click', (e) => {
            e.preventDefault();
            var num1 = parseInt(document.getElementById('num1').value);
            var num2 = parseInt(document.getElementById('num2').value);
            var resultado = (num1*num2)+(num1*num2);
            console.log(`la suma de cuadradados de ${num1} y ${num2} es ${resultado}`);
        });
        
    </script>
    
</body>

</html>